<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumUebersichtFilter;

class RaumUebersichtFilterUseCase extends \Kufer\Web\KuferTools\Basis\Raumbelegung\RaumUebersichtFilter\RaumUebersichtFilterUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_MA;
  }

  public static function getToolSectionId()
  {
    return 415;
  }

  protected function getGebaeude($user): array
  {
    $restrict = $this->getRestriction4Anzeige();
    $dbwKursortGebaeude = new \DBWorkKursortGebaeude();
    $dbwKursortGebaeude->newSearch();

    if ($this->toolSettings->nurRaeumeAussenst) {
      $dbwUser = new \DBWorkBASysUser();
      $user = $this->getUser();
      $BASysUser = $dbwUser->getBASysUser($user->ben);
      $dbwKursortGebaeude->fromobject->aussenstelle = $BASysUser->aussenstelle;
    }

    return $dbwKursortGebaeude->getGebaeudeByUserID($user->id, $restrict, !$this->toolSettings->raumNichtVerfuegbar);
  }
}